MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
MyGUI::ImageIndexInfo Struct Reference

`#include <MyGUI_ImageInfo.h>`

## Public Member Functions
| ImageIndexInfo (const std::string &_texture, const IntSize &_size, const float _rate, const std::vector< IntPoint > &_frames)

## Data Fields
const std::string & | texture
const IntSize & | size
const float | rate
const std::vector< IntPoint > & | frames

## Detailed Description

Definition at line 30 of file MyGUI_ImageInfo.h.

## Constructor & Destructor Documentation

MyGUI::ImageIndexInfo::ImageIndexInfo | ( | const std::string & | _texture,
|  | const IntSize & | _size,
|  | const float | _rate,
|  | const std::vector< IntPoint > & | _frames
| ) |  |
| inline

Definition at line 33 of file MyGUI_ImageInfo.h.

## Field Documentation

const std::vector<IntPoint>& MyGUI::ImageIndexInfo::frames

Definition at line 45 of file MyGUI_ImageInfo.h.

const float MyGUI::ImageIndexInfo::rate

Definition at line 44 of file MyGUI_ImageInfo.h.

const IntSize& MyGUI::ImageIndexInfo::size

Definition at line 43 of file MyGUI_ImageInfo.h.

const std::string& MyGUI::ImageIndexInfo::texture

Definition at line 42 of file MyGUI_ImageInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_ImageInfo.h